Module tdlight.api
Package it.tdlight.jni

# Class TdApi.StopPoll

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.StopPoll

Enclosing class:
  TdApi

public static final class TdApi.StopPoll extends TdApi.Function<TdApi.Ok>
Stops a poll. A poll in a message can be stopped when the message has canBeEdited flag set.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Identifier of the chat to which the poll belongs.
`static final int`
`CONSTRUCTOR`
`long`
`messageId`
Identifier of the message containing the poll.
`TdApi.ReplyMarkup`
`replyMarkup`
The new message reply markup; pass null if none; for bots only.

## Constructor Summary

Constructors
Constructor
Description
`StopPoll()`
Stops a poll.
`StopPoll(long chatId, long messageId, TdApi.ReplyMarkup replyMarkup)`
Stops a poll.
`StopPoll(DataInput input)`
Stops a poll.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the chat to which the poll belongs.

### messageId

public long messageId
Identifier of the message containing the poll.

### replyMarkup

public TdApi.ReplyMarkup replyMarkup
The new message reply markup; pass null if none; for bots only.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### StopPoll

public StopPoll()
Stops a poll. A poll in a message can be stopped when the message has canBeEdited flag set.

Returns `Ok`

### StopPoll

public StopPoll(long chatId, long messageId, TdApi.ReplyMarkup replyMarkup)
Stops a poll. A poll in a message can be stopped when the message has canBeEdited flag set.

Returns `Ok`

Parameters:
  `chatId` - long Identifier of the chat to which the poll belongs.
  `messageId` - long Identifier of the message containing the poll.
  `replyMarkup` - ReplyMarkup The new message reply markup; pass null if none; for bots only.

### StopPoll

public StopPoll(DataInput input) throws IOException
Stops a poll. A poll in a message can be stopped when the message has canBeEdited flag set.

Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`